Bug 1470101 - (CVE-2017-10683, CVE-2017-11126, CVE-2017-12797, CVE-2017-9545) CVE-2017-10683 CVE-2017-11126 CVE-2017-9545 CVE-2017-12797 mpg123: Multiple vulnerabilities
CVE-2017-10683 CVE-2017-11126 CVE-2017-9545 CVE-2017-12797 mpg123: Multiple v...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170703,reported=2...
: Security
Depends On: 1470103 1470104
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-12 08:04 EDT by Andrej Nemec
Modified: 2017-09-04 04:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: mpg123 1.25.2
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2017-07-12 08:04:34 EDT
The III_i_stereo function in libmpg123/layer3.c in mpg123 through 1.25.1 allows attackers to cause a denial of service (buffer over-read and application crash) via a crafted audio file that is mishandled in the code for the "block_type != 2" case, a similar issue to CVE-2017-9870.

References:

https://blogs.gentoo.org/ago/2017/07/03/mpg123-global-buffer-overflow-in-iii_i_stereo-layer3-c/

Upstream patch:

https://scm.orgis.org/view/mpg123/trunk/src/libmpg123/layer3.c?view=patch&r1=4275&r2=4274&pathrev=4275
Comment 1 Andrej Nemec 2017-07-12 08:04:56 EDT
Created mpg123 tracking bugs for this issue:

Affects: epel-7 [bug 1470103]
Affects: fedora-all [bug 1470104]
Comment 2 Andrej Nemec 2017-07-12 10:31:29 EDT
Adding one issue.

CVE-2017-10683

In mpg123 1.25.0, there is a heap-based buffer over-read in the convert_latin1 function in libmpg123/id3.c. A crafted input will lead to a denial of service attack.

Product bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1465819
Comment 3 Andrej Nemec 2017-07-27 05:02:35 EDT
Adding one issue.

CVE-2017-9545

The next_text function in src/libmpg123/id3.c in mpg123 1.24.0 allows attackers to cause a denial of service (buffer over-read) via a crafted mp3 file. 

References:

http://seclists.org/fulldisclosure/2017/Jul/65
Comment 4 Andrej Nemec 2017-09-04 04:05:49 EDT
CVE-2017-12797

Integer overflow in the INT123_parse_new_id3 function in the ID3 parser in mpg123 before 1.25.5 on 32-bit platforms allows remote attackers to cause a denial of service via a crafted file, which triggers a heap-based buffer overflow. 

https://sourceforge.net/p/mpg123/bugs/254/

Note You need to log in before you can comment on or make changes to this bug.